# This file contains a RPM spec file for building RPM files for the
# Napatech Software Suite Tools package using rpmbuild version 4.X.
#
# Example:
#   rpmbuild -bb ./nt-tools-3gd.spec
#

# Version defines
%define version_number_full 3.19.0.30-a9847
%define version_number_long 3.19.0.30
%define version_number_extension a9847

Summary: Napatech Software Suite Tools
Name: nt-tools-3gd
Version: %{version_number_long}
Release: %{version_number_extension}
URL: http://www.napatech.com
Distribution: Linux
Vendor: Napatech A/S
Packager: Napatech A/S
License: Proprietary
Group: Applications/System
AutoReqProv: no
Requires: glibc >= 2.5 nt-driver-3gd ncurses
Source0: nt_tools_3gd-%{version_number_full}-linux.tar.gz

%description
Napatech Software Suite Tools package provides various tools for debugging,
configurating, testing and monitoring ntservice.

# Tools documentation package
%package -n nt-tools-3gd-docs
Summary: Napatech Software Suite Tools documention
Group: Applications/System
BuildArch: noarch
AutoReqProv: no

%description -n nt-tools-3gd-docs
Napatech Software Suite Tools documentation.

%prep
%setup -c nt_tools_3gd-%{version_number_full}-linux
./nt_tools_3gd-linux-%{version_number_full}.run --noexec --keep

%install
pushd nt_tools_3gd-linux-%{version_number_full}
./install.sh --yestoall --norootcheck --installpath %{buildroot}/opt/napatech3
popd

# The uninstall file has refences to buildroot which makes the RPM
# packaging fail. Remove it since it's not needed anyway.
rm %{buildroot}/opt/napatech3/.tools.uninstall

%files
%attr(-,root,root) /opt/napatech3/bin

%files -n nt-tools-3gd-docs
%attr(-,root,root) /opt/napatech3/doc
